1.409,08 €
See the offer
NETGEAR · Network Switch
NETGEAR GS748 Unmanaged Gigabit Ethernet (10/100/1000) Grey price in Italy
Model GS748MPN GS748-100EUSMPN GS748-100NASEAN 606449174892EAN 606449174885
- Speed1 Gbit/s
- ConnectivityWired
- Weight3.2 kg
- ColourGrey
Lowest price incl. delivery
444,20 €
at EsseeffeFree deliveryIn stock
- 2 stores
- Range 444,20 € – 444,20 €
- 2 in stock
- 1 with free delivery
- Checked 23 Oct 2026, 17:42 UTC
Ad · prices and stock as last reported by the store; the store's checkout is what counts.
Prices in Italy
2 stores · prices in EUR · updated 23 Oct 2026, 17:42 UTC
Every store asks the same price.
- 2 of 2 stores in stock
- 1 with free shipping
- Checked 23 Oct 2026, 17:42 UTC
- EsseeffeLowest priceNetgear gs748 non gestito gigabit ethernet (10/100/1000) supporto power over ethernet (poe) grigio In stockFree shipping444,20 €incl. free shippingGo to store : Esseeffe (opens in a new tab)
- ConradNETGEAR GS748-100EUS GS748 Switch di rete RJ45 48 Porte 96 GBit/s In stockShipping not stated419,00 €item price, shipping extraGo to store : Conrad (opens in a new tab)
No store matches these filters.
Ad: we may earn a commission when you buy through these links; it never changes the order, which is by total price only. Prices and stock are shown as each store states them, as of 23 Oct 2026, 17:42 UTC, and can change at any time. Taxes are included only where the store includes them.
Price history in Italy
Price history is being collected. After 14 days of prices we will show whether today's price is good.
Product details
Identification
- Brand
- NETGEAR
- Product
- GS748 Unmanaged Gigabit Ethernet (10/100/1000) Grey
- Full name
- NETGEAR GS748 Unmanaged Gigabit Ethernet (10/100/1000) Grey
- Manufacturer part number
- GS748-100EUS, GS748-100NAS
- EAN / UPC
- 606449174892, 606449174885
- Category
- Network Switch
35 specifications from the manufacturer's data sheet
Management features
| Switch type | Unmanaged |
|---|---|
| Quality of Service (QoS) support | Yes |
| MIB support | RFC 1213 MIB II, RFC 1643, RFC 1493 |
Ports & interfaces
| Basic switching RJ-45 Ethernet ports quantity | 48 |
|---|---|
| Basic switching RJ-45 Ethernet ports type | Gigabit Ethernet (10/100/1000) |
Network
| Networking standards | IEEE 802.1p, IEEE 802.3az |
|---|---|
| Copper ethernet cabling technology | 10BASE-T |
| Full duplex | Yes |
| Ethernet LAN data rates | 1000 Mbit/s |
| Flow control support | Yes |
| Link aggregation | Yes |
Data transmission
| MAC address table | 8000 entries |
|---|---|
| Maximum data transfer rate | 1 Gbit/s |
| Jumbo frames support | Yes |
| Jumbo frames | 9.216 |
| Packet buffer memory | 1.5 MB |
Design
| Rack mounting | Yes |
|---|---|
| Product colour | Grey |
| Safety | CE mark, cUL IEC950/EN60950 |
Performance
| Mean time between failures (MTBF) | 1094297 h |
|---|
Power
| Power source | AC |
|---|---|
| Power consumption (max) | 23 W |
Power over Ethernet (PoE)
| Power over Ethernet (PoE) | No |
|---|
Other features
| Latency | 2,900ns |
|---|---|
| Connectivity technology | Wired |
| Authentication method | 802.1x |
| Electromagnetic emissions | CE mark, FCC Part 15 Class A, VCCI Class A, C-Tick |
| I/O ports | 48 x 10/100/1000 Mbps 4 x SFP |
Operational conditions
| Operating temperature (T-T) | 0 - 50 °C |
|---|---|
| Operating relative humidity (H-H) | 10 - 90% |
Weight & dimensions
| Width | 440 mm |
|---|---|
| Depth | 202 mm |
| Height | 43 mm |
| Weight | 3.2 kg |
Certificates
| Compliance certificates | Federal Communications Commission (FCC) |
|---|
What people say
Reviews & ratings
NETGEAR GS748 Unmanaged Gigabit Ethernet (10/100/1000) Grey
No reviews yet
Be the first to tell others how NETGEAR GS748 Unmanaged Gigabit Ethernet (10/100/1000) Grey works for you.
Write the first review- Every rating countsLow ratings are never hidden, removed or pushed down.
- Written by people, never paidNo incentives, no edits — only spam and abuse are removed.
- Private by designOnly the name you choose is shown. No account, no e-mail, nothing tracked.
More network switches deals in Italy
All network switches deals866,64 €
See the offerCudy
16-Port Gigabit Cloud Easy-Managed PoE+ Switch with 2 SFP, GS1016EPS2 1.0
- Weight
- 2.75 kg
- Colour
- Black
- Switch type
- Managed
200,68 €
See the offerCudy
16-Port Gigabit Cloud Easy-Managed Switch with 2 SFP, GS1016ES2 1.0
- Weight
- 1.69 kg
- Colour
- Black
- Switch type
- Managed
90,79 €
See the offer65,99 €
See the offerTP-Link
Omada ES206X-M2 network switch Managed L2
Model ES206X-M2
- Type
- Desktop/Wall-Mounting
- Weight
- 520 g
- Colour
- Black
118,93 €
See the offerTP-Link
ES206XPP-M2 network switch Managed L2
Model ES206XPP-M2
- Type
- Desktop/Wall-Mounting
- Colour
- Black
- Switch type
- Managed
253,14 €
See the offerNETGEAR
GS310TPv2 Managed L2/L3 Gigabit Ethernet (10/100/1000) Power over Ethernet (PoE) Desktop Black
Model GS310TPv2
- Memory
- 128 MB
- Type
- Desktop
- Weight
- 610 g
159,33 €– 179,99 €
Compare 2 prices






